/* --------------------- CSS Reset -------------------- */

/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  box-sizing: border-box;
}

/* HTML5 display-role reset for older browsers */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1;
}

ol,
ul,
dl {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/*  ---------------------- Variables ---------------------- */

:root {
  --primary: #512da8;
  --primary-light: #8559da;
  --primary-dark: #140078;
  --secondary: #ffc107;
  --secondary-light: #fff350;
  --secondary-dark: #c79100;
  --text-light: #ffffff;
  --text-dark: #000000;
}

/*                        Media Queries - Responsive Layout        */

* {
  box-sizing: border-box;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

[class*="col-"] {
  float: left;
  padding: 15px;
}

/* For mobile phones: */

[class*="col-"] {
  width: 100%;
}

@media only screen and (min-width: 600px) {
  /* For tablets: */
  .col-s-1 {
    width: 8.33%;
  }
  .col-s-2 {
    width: 16.66%;
  }
  .col-s-3 {
    width: 25%;
  }
  .col-s-4 {
    width: 33.33%;
  }
  .col-s-5 {
    width: 41.66%;
  }
  .col-s-6 {
    width: 50%;
  }
  .col-s-7 {
    width: 58.33%;
  }
  .col-s-8 {
    width: 66.66%;
  }
  .col-s-9 {
    width: 75%;
  }
  .col-s-10 {
    width: 83.33%;
  }
  .col-s-11 {
    width: 91.66%;
  }
  .col-s-12 {
    width: 100%;
  }
}

@media only screen and (min-width: 768px) {
  /* For desktop: */
  .col-1 {
    width: 8.33%;
  }
  .col-2 {
    width: 16.66%;
  }
  .col-3 {
    width: 25%;
  }
  .col-4 {
    width: 33.33%;
  }
  .col-5 {
    width: 41.66%;
  }
  .col-6 {
    width: 50%;
  }
  .col-7 {
    width: 58.33%;
  }
  .col-8 {
    width: 66.66%;
  }
  .col-9 {
    width: 75%;
  }
  .col-10 {
    width: 83.33%;
  }
  .col-11 {
    width: 91.66%;
  }
  .col-12 {
    width: 100%;
  }
}

/* ---------------------- layout ------------------------- */

body {
  font-family: arial, helvetica, sans-serif;
  line-height: 1.5;
  font-size: 1.2em;
  color: var(--text-dark);
}

.container {
  width: 90%;
  max-width: 1400px;
  min-width: 500px;
  margin: 20px auto;
  overflow: auto;
}

footer {
  text-align: center;
  padding: 20px;
  background: var(--primary);
  color: var(--text-light);
}

header {
  background: var(--primary);
  color: var(--text-light);
  min-height: 80px;
  text-align: center;
}

nav {
  text-align: center;
}

h2 {
  color: var(--primary);
  text-align: center;
  margin: 20px;
  font-size: 1.5em;
}

h1 {
  font-size: 2em;
}

h3 {
  text-align: center;
  color: var(--primary);
  font-weight: bold;
}

.buttons {
  width: 30%;
  margin: 10px auto;
  text-align: center;
}

button {
  color: var(--text-light);
  border: 2px solid var(--primary-dark);
  background: var(--primary-dark);
  text-decoration: none;
}

button:hover {
  color: var(--primary-dark);
  background: var(--secondary-light);
}

p {
  padding: 10px;
}

.buffer {
  padding: 7px;
}

#img1,
#img2,
#img3,
#img4 {
  display: none;
}

.card {
  border: 3px solid var(--primary);
  border-radius: 20px;
  padding: 5px;
  min-height: 100px;
}

.card img {
  width: 90%;
  margin: 10px auto;
  display: block;
}

.card h2 {
  text-align: center;
  font-size: 1.5em;
  font-weight: bold;
}

.card p {
  padding: 10px;
  font-size: 1.2em;
  text-align: center;
}

.buffer button {
  width: 30%;
  margin: 10px auto;
  display: block;
  font-size: 2em;
}
